---
sidebar_label: SecurityDetails
---

# SecurityDetails class

The SecurityDetails class represents the security details of a response that was received over a secure connection.

**Signature:**

```typescript
export declare class SecurityDetails
```

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `SecurityDetails` class.

## Methods

| Method                                                                              | Modifiers | Description |
| ----------------------------------------------------------------------------------- | --------- | ----------- |
| [issuer()](./puppeteer.securitydetails.issuer.md)                                   |           |             |
| [protocol()](./puppeteer.securitydetails.protocol.md)                               |           |             |
| [subjectAlternativeNames()](./puppeteer.securitydetails.subjectalternativenames.md) |           |             |
| [subjectName()](./puppeteer.securitydetails.subjectname.md)                         |           |             |
| [validFrom()](./puppeteer.securitydetails.validfrom.md)                             |           |             |
| [validTo()](./puppeteer.securitydetails.validto.md)                                 |           |             |
